Subject: Re: [bug#59712] [PATCH] doc: Suggest guile-readline and guile-colorized.

From: mirai <[email-masked]>
Date: Fri, 2 Dec 2022 18:59:54 +0000

I've noticed that 9.14 "Using Guix Interactively"[1] already makes this recommendation.

[1]: https://guix.gnu.org/en/manual/devel/en/html_node/Using-Guix-Interactively.html#Using-Guix-Interactively

On 2022-11-30 08:37, zimoun wrote:
> Hi,
> 
> On Wed, 30 Nov 2022 at 02:23, [email-masked] wrote:
> 
>> +guix shell -D guix help2man git strace guile-readline guile-colorized --pure
> 
> The package guile-readline requires to be activated, no?
> For guile-colorized, never used. :-)
> 
> On one hand, I agree that smoothing the experience with “guix repl” is
> worth.  On the other hand, I think it better to reduce the barrier by
> suggesting out-of-the-box packages in the Contributing section.
> 
> Well, instead, I am proposing to put this recommendation in this other
> section (guix) The Perfect Setup.  For example, better worded :-)
> 
> --8<---------------cut here---------------start------------->8---
> The Perfect Setup to hack on Guix is basically the perfect setup used
> for Guile hacking (*note (guile)Using Guile in Emacs::).  First, the
> experience is smooth when the packages guile-readline and
> guile-colorized are installed and configured.  We recommend this
> ~/.guile,
> 
>     (use-modules
>      (ice-9 readline)
>      (ice-9 format)
>      (ice-9 pretty-print))
>     (activate-readline)
> 
> Then, you need more than an editor, you need Emacs
> (https://www.gnu.org/software/emacs), empowered by the wonderful Geiser
> (https://nongnu.org/geiser/).  To set that up, run:
> --8<---------------cut here---------------end--------------->8---
> 
> 
> WDYT?
> 
> Cheers,
> simon